function Create(self)
	self.Timer = Timer(); --For the timer below
end

function Update(self)

	local exploded = 0; --This is needed to tell if the bomb has been spawned. If this is not used, the bullet will continue spawning bombs until it is destroyed
	
	local bunkerBuster = CreateTDExplosive("Standard Bomb","Coalition.rte");
	
	local timeTillDetonation = 1000; --CC operates in milliseconds; 1000 milliseconds = 1 second
	

	
	
	--[[CODE DECONSTRUCTION TIME::
		SceneMan:FindAltitude is a function used to find the amount of space above the terrain a given thing has.
		-The full function looks like this:
			SceneMan:FindAltitude(<objectName>.Pos,<length of the ray that checks the altitude>,<number of pixels the checker skips, you want to keep this low, but if the checking ray is too long, then it will start to lag the game>)
	]]
	
	
	if exploded < 10 then
		if SceneMan:FindAltitude(self.Pos,100,2) < 2 then
			MovableMan:AddMO(bunkerBuster);
			bunkerBuster.Pos = self.Pos;
			bunkerBuster:GibThis();
			exploded = exploded + 1;
		end
		
	else
		exploded = exploded + 1
	end
end